Flawless Serpent-man Daggers

From Conan Exiles Wiki
Revision as of 09:57, 9 May 2018 by Testerle (talk | contribs) (Created page with "<!-- auto-generated page --> __NOTOC__ {{Item infobox | name = Flawless Serpent-man Daggers | image = icon_serpentmen_dagger.png | desc = A pair of daggers in a blasphemous an...")
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search


Flawless Serpent-man Daggers
Flawless Serpent-man Daggers
A pair of daggers in a blasphemous ancient style
Type Weapon
Grade Mid
Light Damage 28
Heavy Damage 28
Base Armor Penetration 13.5%
Base Durability 780
Base Weight 2.21
ID 51513

Flawless Serpent-man Daggers is one of the Weapons in Conan Exiles.

Description

And at last mankind conquered, so long ago that naught but dim legends come to us through the ages. The snake-people were the last to go, yet at last men conquered even them and drove them forth into the waste lands of the world, there to mate with true snakes until some day, say the sages, the horrid breed shall vanish utterly.
~ The Shadow Kingdom

The snake-people were thought to be gone. First defeated in the war with first man at the dawn of time, then purged again by King Kull of Valusia.

But here, in this bizarre, mysterious piece of the world, they found succor with the Giant-kings. Perhaps the city in the volcano was ancient before even the Giant-kings lived in this land. But either way, the degenerate remnant remains.

These daggers are forged from blasphemous patterns obtained beneath the volcano from the last degenerate.

Source

Created from the following Recipes
Blacksmith's Bench
Ingredients Outcome Craft time
(in seconds)
Experience
gained
1 Icon dagger handle.png Dagger Handle
25 Icon iron bar.png Iron Bar
10 Icon alchemical base.png Alchemical Base
13 Icon reptile hide-1.png Reptile Hide
1 Icon serpentmen dagger.png Flawless Serpent-man Daggers1 50.0 1452

1 craftable with a T4 Blacksmith thrall in the crafting station


Repair

Repairing Flawless Serpent-man Daggers requires up to: